List API keys
import requests
url = "https://app.langwatch.ai/api/api-keys"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.langwatch.ai/api/api-keys', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://app.langwatch.ai/api/api-keys \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "<string>",
"name": "<string>",
"description": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"expiresAt": "2023-11-07T05:31:56Z",
"lastUsedAt": "2023-11-07T05:31:56Z",
"revokedAt": "2023-11-07T05:31:56Z",
"roleBindings": [
{
"id": "<string>",
"scopeId": "<string>"
}
]
}
]
}API Keys
List API keys
List all API keys owned by the authenticated user in this organization. Requires organization:view permission.
GET
/
api
/
api-keys
List API keys
import requests
url = "https://app.langwatch.ai/api/api-keys"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.langwatch.ai/api/api-keys', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://app.langwatch.ai/api/api-keys \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "<string>",
"name": "<string>",
"description": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"expiresAt": "2023-11-07T05:31:56Z",
"lastUsedAt": "2023-11-07T05:31:56Z",
"revokedAt": "2023-11-07T05:31:56Z",
"roleBindings": [
{
"id": "<string>",
"scopeId": "<string>"
}
]
}
]
}Was this page helpful?
⌘I